



#ifdef  __ICCRX__
  #include "r_cg_macrodriver.h"
  #include <math.h>
#elif   __CCRX__
  #include <machine.h>
  #include <mathf.h>
  #include <stdint.h>
  #include "iodefine.h"
#elif   __CCRH__
  #include <mathf.h>
  #include <stdint.h>
  #include "iodefine.h"
#else
  //
#endif

#include "r_cg_macrodriver.h"
#include "DTL_IOLIB.h"


uint32_t  _u4Uset = 0;
uint32_t  _u4Uclr = 0;
uint32_t  _u4period = 0;
uint32_t  _u4ADdelay = 0;


void  DTL_inverter_TAUD0_start_pwm(void)
{
    TAUD0.TRE = 0xFC00; // Modulation output enable
}


void  DTL_inverter_TAUD0_stop_pwm(void)
{
    TAUD0.TRE = 0x0000; // Modulation output disable
}


void  DTL_inverter_TAUD0_set_uvw_3shunt(float f_mu_ref, float f_mv_ref, float f_mw_ref)
{
    int32_t  s4_hpeak;
    int32_t  s4_qpeak;
    int32_t  s4_value;
    int32_t  s4_set,  s4_clr;

    _u4period = TAUD0.CDR2;
    s4_hpeak  = (TAUD0.CDR2+1)>>1;
    s4_qpeak  = s4_hpeak>>1;

 // if (f_mu_ref>0.999f)       { f_mu_ref = 0.999f;  }
 // else if (f_mu_ref<-0.999f) { f_mu_ref = -0.999f; }
 // else                     { /* no code */      }
    s4_value = (int32_t)(s4_qpeak * f_mu_ref);
    s4_set   = s4_qpeak - s4_value - _u4ADdelay;
    s4_clr   = s4_hpeak + s4_qpeak + s4_value - _u4ADdelay;
    if (s4_set<1)         { s4_set = 1; }
//  if (s4_clr>s4_period) { s4_clr = s4_period; }
    _u4Uset = s4_set;
    _u4Uclr = s4_clr;
    TAUD0.CDR4 = s4_set;
    TAUD0.CDR5 = s4_clr;


//  if (f_mv_ref>0.999f)       { f_mv_ref = 0.999f;  }
//  else if (f_mv_ref<-0.999f) { f_mv_ref = -0.999f; }
//  else                     { /* no code */      }
    s4_value = (int32_t)(s4_qpeak * f_mv_ref);
    s4_set   = s4_qpeak - s4_value - _u4ADdelay;
    s4_clr   = s4_hpeak + s4_qpeak + s4_value - _u4ADdelay;
    if (s4_set<1)         { s4_set = 1; }
//  if (s4_clr>s4_period) { s4_clr = s4_period; }
    TAUD0.CDR6 = s4_set;
    TAUD0.CDR7 = s4_clr;

//  if (f_mw_ref>0.999f)       { f_mw_ref = 0.999f;  }
//  else if (f_mw_ref<-0.999f) { f_mw_ref = -0.999f; }
//  else                     { /* no code */      }
    s4_value = (int32_t)(s4_qpeak * f_mw_ref);
    s4_set   = s4_qpeak - s4_value - _u4ADdelay;
    s4_clr   = s4_hpeak + s4_qpeak + s4_value - _u4ADdelay;
    if (s4_set<1)         { s4_set = 1; }
//  if (s4_clr>s4_period) { s4_clr = s4_period; }
    TAUD0.CDR8 = s4_set;
    TAUD0.CDR9 = s4_clr;
    
    TAUD0.RDT  = 0x03F0;   // update reference
}

void  DTL_inverter_TAUD0_set_uvw_direct(float f_mu_ref, float f_mv_ref, float f_mw_ref)
{
	
	
}

void     DTL_Config_ENCA0_Start(void)
{
    ENCA0.IOC0 = 0;
    ENCA0.IOC1 = 0;
    ENCA0.CTL  = 0x0303;  // capture, 2phase
    ENCA0.FGC  = 3; // clear flags
    ENCA0.CNT  = 0x123;
    
    DNF.AENCA0IEN = 0xFFFF;
    
    ENCA0.TS   = 1; // Timer start
}


void  DTL_inverter_TAUD0_set_ADdelay(uint32_t u4Delay)
{
    _u4ADdelay = u4Delay;
}
